/// <reference types="react" />
import { DefaultProps, RenditionSystemProps, ResponsiveStyle } from '../common-types';
export interface InternalFixedProps extends DefaultProps {
    top?: boolean | ResponsiveStyle;
    right?: boolean | ResponsiveStyle;
    bottom?: boolean | ResponsiveStyle;
    left?: boolean | ResponsiveStyle;
    z?: ResponsiveStyle;
    bg?: string;
}
export declare type FixedProps = InternalFixedProps & RenditionSystemProps;
declare const _default: import("react").ForwardRefExoticComponent<InternalFixedProps & import("../common-types").Tooltip & import("../common-types").StyledSystemProps & import("react").RefAttributes<HTMLDivElement>>;
export default _default;
