import * as React from 'react';
import { RenditionSystemProps } from '../common-types';
export interface InternalTagProps {
    value?: string;
    name?: string;
    operator?: string;
    multiple?: Array<{
        value?: string;
        name?: string;
        operator?: string;
        prefix?: string;
    }>;
    onClose?: () => void;
    onClick?: () => void;
    className?: string;
}
export declare type TagProps = InternalTagProps & RenditionSystemProps;
export declare const Tag: React.FunctionComponent<TagProps>;
