/// <reference types="react" />
import { UiSchema } from 'react-jsonschema-form';
interface FieldTemplateProps {
    id: string;
    classNames: string;
    label: string;
    children: JSX.Element;
    errors: JSX.Element;
    help: JSX.Element;
    rawHelp?: string;
    description: JSX.Element;
    hidden: boolean;
    required: boolean;
    displayLabel: boolean;
    uiSchema: UiSchema;
}
declare const FieldTemplate: (props: FieldTemplateProps) => JSX.Element;
export default FieldTemplate;
