import * as tslib_1 from "tslib";
import assign from 'lodash/assign';
import * as React from 'react';
import { withProps } from 'recompose';
import styled from 'styled-components';
import asRendition from '../asRendition';
import { monospace } from '../utils';
import { align, bold, caps } from './Txt';
var Heading = styled.h3(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n\t", "\n\t", ";\n\t", "\n\t", "\n"], ["\n\t", "\n\t", ";\n\t", "\n\t", "\n"])), align, monospace, caps, bold);
Heading.displayName = 'Heading';
var setDefaultProps = withProps(function (props) {
    return assign({
        fontSize: 4,
        m: 0,
    }, props);
});
var Factory = function (tag) {
    return asRendition(function (props) {
        return React.createElement(Heading, tslib_1.__assign({ as: tag }, props));
    }, [setDefaultProps]);
};
var Base = Factory();
Base.h1 = Factory('h1');
Base.h1.defaultProps = {
    fontSize: 6,
    m: 0,
};
Base.h2 = Factory('h2');
Base.h2.defaultProps = {
    fontSize: 5,
    m: 0,
};
Base.h3 = Factory('h3');
Base.h3.defaultProps = {
    fontSize: 4,
    m: 0,
};
Base.h4 = Factory('h4');
Base.h4.defaultProps = {
    fontSize: 3,
    m: 0,
};
Base.h5 = Factory('h5');
Base.h5.defaultProps = {
    fontSize: 2,
    m: 0,
};
Base.h6 = Factory('h6');
Base.h6.defaultProps = {
    fontSize: 1,
    m: 0,
};
export default Base;
var templateObject_1;
