import * as tslib_1 from "tslib";
import * as React from 'react';
import { Select } from '../../../..';
var SelectWidget = function (props) {
    var id = props.id, options = props.options, value = props.value, disabled = props.disabled, readonly = props.readonly, onChange = props.onChange;
    var enumOptions = options.enumOptions, enumDisabled = options.enumDisabled;
    var selectOptions = enumOptions.map(function (option) {
        return tslib_1.__assign({}, option, { disabled: enumDisabled && enumDisabled.indexOf(option.value) !== -1 });
    });
    return (React.createElement(Select, { width: "100%", id: id, value: value ? selectOptions.find(function (option) { return option.value === value; }) : '', disabled: disabled || readonly, onChange: function (_a) {
            var option = _a.option;
            onChange(option.value);
        }, options: selectOptions, valueKey: "value", labelKey: "label", disabledKey: "disabled" }));
};
export default SelectWidget;
